/**********************************************************************
*  File:    HOSTGLB.H                                                 *
*  Purpose: Comtrol Hostess i Programmers' Toolkit Global Variable    *
*           Declarations File (Host Program)                          *
*  Date:    February 15, 1990                                         *
*  Author:  Howard D. Straus                                          *
*  Release: 1.00 - Original release                                   *
***********************************************************************
*                         COPYRIGHT NOTICE                            *
*=====================================================================*
*   Copyright 1990, 1991 by Howard D. Straus and Comtrol Corporation. *
*   All rights reserved.  Use or reproduction by any means of any     *
*   portion of this code contrary to the developers license agreement *
*   is expressly prohibited.                                          *
***********************************************************************/

int     current_window;         /* current text window */
int     last_window;            /* last window */
ULONG   host_buffer_addr = 0L;  /* host buffer address */
ULONG   hcb_buffer_addr = 0L;   /* Hostess i buffer address */
ULONG   mailbox_addr = 0L;      /* Hostess i mailbox address */
MB_     mailbox;                /* copy of Hostess i mailbox */
QH_     output_qcb;             /* output queue control block */
QH_     free_qcb;               /* free buffer pool */
char    keyboard_buffer[100];   /* keyboard buffer */
char    *kp = keyboard_buffer;  /* pointer to keyboard buffer */
time_t  last_key_hit;           /* time last key struck */
BH_     mg_buffer[N_BUFFERS];   /* output message buffers */
UINT    q_next_in = 0;          /* next buffer to allocate */
UINT    q_next_out = 0;         /* next buffer to send */
WS_     *wp;                    /* window pointer */
WS_     window_p[N_WINDOWS];    /* window parameters array */
char    hcb_load_file_name[64] = "HOSTESS.EXE"; /* Hostess i load file */
char    hcb_interrupt = 0;      /* unserviced Hostess i Interrupts count */
char    message_file_name[64] = "MESSAGE.FIL"; /* message file name */
char    log_file_name[64] = ""; /* log file name, if any */
FILE    *log_file;              /* log file handle */
int     parity = EVEN;          /* parity to configure port */
int     data_bits = 7;          /* port data bits */
int     stop_bits = 2;          /* port stop demi-bits per character */
int     port_speed = DEFAULT_PORT_SPEED; /* target port speed */
long    base_address = DEFAULT_BASE_ADDRESS; /* board base address */
long    default_base[] = { 0xF00000L, 0xEE0000L, 0xEC0000L, 0xEA0000L,
                                                   0xD00000L, 0xD20000L, 0xD40000L };
int     board_no = 0;           /* default: first board */
int     irq_no = DEFAULT_IRQ_NO; /* base interrupt */
int     irq_select[] = { -1, -1, -1, IRQ3_SELECT, IRQ4_SELECT,
                                                 IRQ5_SELECT, -1, -1, -1, IRQ9_SELECT,
                                                 IRQ10_SELECT, IRQ11_SELECT, IRQ12_SELECT,
                                                 -1, -1, IRQ15_SELECT };
int     base_port = DEFAULT_PORT; /* board base I/O port */
int     io_port[] = { 0x218, 0x21C, 0x238, 0x23C, 0x218, 0x21C, 0x238 };
int     default_irq[] = { 15, 11, 10, 5, 4, 3, 15 }; /* default IRQ assign */
void    far *save_vector;
UTINY   set_time_flag = FALSE;
UTINY   modem_control_flag = FALSE;
UINT    modem_control_word = 0;
UTINY   iscolor = TRUE;
char    far     *videomemory_addr;
UTINY   loopback_mode = FALSE;  /* is port in loopback mode */
time_t  last_second = 0;        /* the last time anything was sent */
int     hcb_port = 1;           /* the comm port on which to Tx/Rx data */
LC_             lct;                                    /* line control table */
DV_             dct;                                    /* device control table */
int             in_aux = 0;                             /* what is in the AUX window */
char    screen_buffer[4000];    /* save screen */
char    *saved_ptr = NULL;          /* pointer to saved screen */
char    level[10] = "H0";               /* help level */


                                        /* ***** END OF FILE ***** */
