/**********************************************************************
*  File:     EXTERNS.H                                                *
*  Purpose:  Comtrol Hostess i Programmer's Toolkit Hostess Program   *
*            External Variables Declaration File                      *
*  Date:     February 15, 1991                                        *
*  Author:   Howard D. Straus                                         *
*  Release: 1.00 - Original release                                   *
***********************************************************************
*                         COPYRIGHT NOTICE                            *
*=====================================================================*
*   Copyright 1990, 1991 by Howard D. Straus and Comtrol Corporation. *
*   All rights reserved.  Use or reproduction by any means of any     *
*   portion of this code contrary to the developers license agreement *
*   is expressly prohibited.                                          *
***********************************************************************/

extern  int     curr_line;              /* current line */

extern  TIME    curr_time;              /* current time, in seconds */
extern  long    elapsed_ticks;          /* total elapsed ticks */

extern  MG_     host_message_buffer;    /* host message buffer */
extern  MG_     hostess_message_buffer; /* Hostess i message buffer */

extern  DV_     dct[];                  /* device control tables */
extern  LC_     lct[];                  /* line control tables */
extern  MB_     far     *mb;            /* mailbox address */
extern  DV_    *dvad[16];               /* device control table addresses */

extern  QC_     host_queue;             /* host queue control block */
extern  QC_     free_pool;              /* free pool of buffers */
extern  int     n_free_buffers;         /* free buffer count */
extern  int             host_interrupt_flag;    /* host has generated an INT1 */

extern  int far *flag_ptr;              /* pointer to response flag */
extern  int             time_pending;                   /* status report in queue */

#ifndef TURBO_C

extern  union   {
        unsigned int    so[2];
        void    far     *ptr;
} f_p;

#endif

                                /* ***** END OF FILE ***** */
